curl --request PUT \
--url https://api.invopop.com/sequence/v1/series/{series_id}/entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "John Doe"
},
"sig": "<string>"
}
'import requests
url = "https://api.invopop.com/sequence/v1/series/{series_id}/entries/{id}"
payload = {
"meta": { "name": "John Doe" },
"sig": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({meta: {name: 'John Doe'}, sig: '<string>'})
};
fetch('https://api.invopop.com/sequence/v1/series/{series_id}/entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2023-01-25T08:04:14.245Z",
"updated_at": "2023-01-25T08:04:14.245Z",
"series_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"code": "string",
"meta": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"previous_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sigs": ["string"]
}
Create a series entry
Create a new entry in a given series idempotently with the given UUID (any version).
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2023-01-25T08:04:14.245Z",
"updated_at": "2023-01-25T08:04:14.245Z",
"series_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"code": "string",
"meta": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"previous_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sigs": ["string"]
}
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Path Parameters
UUID of the series to create the entry in
The UUID (any version) of the entry to create.
"a8904315-3d16-4a95-91c1-30d6cdde553e"
Body
Response
OK
The complete code for the entry, including prefix and suffix.
"INV-00001-F1"
The date and time the entry was created.
"2020-10-01T00:00:00Z"
The UUID (any version) of the entry.
"a8904315-3d16-4a95-91c1-30d6cdde553e"
A set of key/value pairs that can be used to store additional information about the entry.
Show child attributes
Show child attributes
{ "name": "John Doe" }
The UUID of the previous entry in the series.
"a8904315-3d16-4a95-91c1-30d6cdde553e"
The UUID of the series the entry belongs to.
"a8904315-3d16-4a95-91c1-30d6cdde553e"
Set of JSON Web Signatures validating the information contained in the entry.
The date and time the entry was last updated.
"2020-10-01T00:00:00Z"
Was this page helpful?